Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Class OutOfDateConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.ManagementException
                              |
                              +--weblogic.management.configuration.ConfigurationException
                                    |
                                    +--weblogic.management.configuration.OutOfDateConfigurationException

public final class OutOfDateConfigurationException
extends ConfigurationException

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`protected` | `OutOfDateConfigurationException(java.lang.Object currentVersion, java.lang.Object version, java.lang.String message)` Constructor for the OutOfDateConfigurationException object

Method Summary
`java.lang.Object` | `getCurrentVersion()` Returns the current version of the configuration.
`java.lang.Object` | `getVersion()` Returns the version that was passed in as a the argument.

Methods inherited from class weblogic.management.ManagementException
`unWrapExceptions`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutOfDateConfigurationException

    protected OutOfDateConfigurationException(java.lang.Object currentVersion,
                                              java.lang.Object version,
                                              java.lang.String message)

  Constructor for the OutOfDateConfigurationException object

  Parameters:
    `currentVersion` -
    `version` -
    `message` -

Method Detail

### getVersion

    public java.lang.Object getVersion()

  Returns the version that was passed in as a the argument.

  Returns:
    The version value

### getCurrentVersion

    public java.lang.Object getCurrentVersion()

  Returns the current version of the configuration.

  Returns:
    The currentVersion value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD